version: 1.0
runtime: python311
build:
  commands:
    build:        
      - pip3 install -r requirements.txt
run:
  runtime-version: 3.11
  pre-run:  
    - pip3 install -r requirements.txt
  command: uvicorn main:app --host 0.0.0.0 --port 8505
  network: 
    port: 8505
  
  env:
    - name: OPENAI_API_KEY
      value: "sk-proj-vSU7O7fiPDjRfThclulOT3BlbkFJCI5PhjeFYvn2Cwa8S2RR"
    - name: MODEL_NAME
      value: "gpt-4o"

    - name: S3_BUCKET_NAME
      value: "ti-test-use1-openai"
    - name: S3_BUCKET_REGION
      value: "us-east-1"
    - name: S3_BUCKET_ACCESS_KEY
      value: "AKIAVG2REM2S6LJKNCMW"
    - name: S3_BUCKET_SECRET_ACCESS_KEY
      value: "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"
    
    - name: S3_DATABASES_URL
      value: "https://ti-test-use1-openai.s3.amazonaws.com/databases/databases.zip"
    - name: S3_BUCKET_ACCESS_URL_FOR_CMS
      value: "https://ti-test-use1-openai.s3.amazonaws.com/"
    
    - name: DB_HOST
      value: "ti-test-use1-db-openai.ct7fqkfqkndt.us-east-1.rds.amazonaws.com"
    - name: DB_USER
      value: "postgres"
    - name: DB_PASSWORD
      value: "gURinbCmcInD%11"
    - name: DB_NAME
      value: "postgres"
    - name : DB_PORT
      value : "5432"
    
    - name: HELPSCOUT_APP_ID
      value: "VyGY4NdrM3mxUxieCkcH1pF64z2B7nz8"
    - name: HELPSCOUT_APP_SECRET
      value: "GUHYDHtVOic2qZG4CR0FDMA7g3OWAgD0"
    - name: CLEANUP_INTERVAL
      value: "900"
